Bug 149901 - Writer: Clear Direct Formatting for multiselection resets all word
Summary: Writer: Clear Direct Formatting for multiselection resets all word
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.3.4.2 release
Hardware: All All
: low trivial
Assignee: Not Assigned
URL: https://help.libreoffice.org/7.5/en-U...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-07-07 16:30 UTC by Kamil Landa
Modified: 2022-07-20 15:48 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Clear Direct Formatting for multiselection resets all word (16.48 KB, application/vnd.oasis.opendocument.text)
2022-07-07 16:30 UTC, Kamil Landa
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kamil Landa 2022-07-07 16:30:46 UTC
Created attachment 181158 [details]
Clear Direct Formatting for multiselection resets all word

1) write some word and use different formats to some letters (for example bod, italic, color)
2) make a multiselection for example from two letters from word
3) Format/ Clear Direct Formating resets all word and not only selected leters 

Version: 7.3.5.1 (x64) / LibreOffice Community
Build ID: d56c1c78db15939340c3db8ee3b6667832313d23
CPU threads: 8; OS: Windows 10.0 Build 17763; UI render: Skia/Raster; VCL: win
Locale: cs-CZ (cs_CZ); UI: cs-CZ
Calc: CL
Comment 1 Timur 2022-07-08 08:10:27 UTC
Yes. But multiselecting separate fragments is not a normal workflow not it saves time. This is trivial and WontFix. Perfectly doable and faster for me to select part by part and do Ctrl+M.
Comment 2 LeroyG 2022-07-20 15:48:08 UTC
The word where the last selection is made loses all its formatting. So, select a space, or a character on another word, and only then press Ctrl+M.

Tested with:
Version: 7.2.3.2 / LibreOffice Community
Build ID: 20(Build:2)
CPU threads: 1; OS: Linux 5.3; UI render: default; VCL: gtk3
Locale: es-MX (es_ES.UTF-8); UI: en-US
Calc: threaded